    import {PopupFilter} from 'tablefilter/src/modules/popupFilter.js'

public class | source

# PopupFilter

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Pop-up filter component |

## Member Summary

Public Members
public | onAfterPopUpClose : * |
public | onAfterPopUpOpen : * |
public | onBeforePopUpClose : * |
public | onBeforePopUpOpen : * |
public | popUpDivCssClass : * |
public | popUpFltAdjustToContainer : boolean |
public | popUpFltElmCache : * |
public | popUpFltElms : * |
public | popUpFltImgs : * |
public | popUpFltSpans : * |
public | popUpImgFlt : * |
public | popUpImgFltActive : * |
public | popUpImgFltHtml : * |
public | prfxPopUpDiv : string |
public | prfxPopUpSpan : string |
public | tf : * |

## Method Summary

Public Methods
public | build (colIndex: Number, div: Object) Build a specified pop-up filter elements |
public | buildAll () Build all pop-up filters elements |
public | buildIcon (colIndex: Number, active: Boolean) Build specified icon |
public | buildIcons () Build all the icons representing the pop-up filters |
public | closeAll (exceptIdx: Number) Close all filters excepted for the specified one if any |
public | destroy () Remove pop-up filters |
public | init () Initialize DOM elements |
public | onClick (e: *) |
public | toggle (colIndex: Number) Toogle visibility of specified filter |

## Public Constructors

### public constructor(tf: Object) source

Pop-up filter component

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public onAfterPopUpClose: * source

### public onAfterPopUpOpen: * source

### public onBeforePopUpClose: * source

### public onBeforePopUpOpen: * source

### public popUpDivCssClass: * source

### public popUpFltAdjustToContainer: boolean source

### public popUpFltElmCache: * source

### public popUpFltElms: * source

### public popUpFltImgs: * source

### public popUpFltSpans: * source

### public popUpImgFlt: * source

### public popUpImgFltActive: * source

### public popUpImgFltHtml: * source

### public prfxPopUpDiv: string source

### public prfxPopUpSpan: string source

### public tf: * source

## Public Methods

### public build(colIndex: Number, div: Object) source

Build a specified pop-up filter elements

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
div | Object |  | Optional container DOM element

### public buildAll() source

Build all pop-up filters elements

### public buildIcon(colIndex: Number, active: Boolean) source

Build specified icon

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
active | Boolean |  | Apply active state

### public buildIcons() source

Build all the icons representing the pop-up filters

### public closeAll(exceptIdx: Number) source

Close all filters excepted for the specified one if any

#### Params:

Name | Type | Attribute | Description
exceptIdx | Number |  | Column index of the filter to not close

### public destroy() source

Remove pop-up filters

### public init() source

Initialize DOM elements

### public onClick(e: *) source

#### Params:

Name | Type | Attribute | Description
e | * |  |

### public toggle(colIndex: Number) source

Toogle visibility of specified filter

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index